﻿using System;
using MonoMod;
using SEBPatcherUtils;
using SafeExamBrowser.Logging.Contracts;
using SafeExamBrowser.Settings.Monitoring;
using SafeExamBrowser.WindowsApi.Contracts;

namespace SafeExamBrowser.Monitoring.Keyboard
{
#pragma warning disable IDE1006 // Naming Styles
    public class patch_KeyboardInterceptor : KeyboardInterceptor
#pragma warning restore IDE1006 // Naming Styles
    {
        public PatchLogger patchlogger;

        [MonoModIgnore] public patch_KeyboardInterceptor(ILogger logger, INativeMethods nativeMethods, KeyboardSettings settings) : base(logger, nativeMethods, settings) { }
#pragma warning disable IDE1006 // Naming Styles
        [MonoModOriginal] public extern void orig_KeyboardInterceptor(ILogger logger, INativeMethods nativeMethods, KeyboardSettings settings);
#pragma warning restore IDE1006 // Naming Styles
        [MonoModConstructor] public void KeyboardInterceptor(ILogger logger, INativeMethods nativeMethods, KeyboardSettings settings)
        {
            orig_KeyboardInterceptor(logger, nativeMethods, settings);
            patchlogger = new PatchLogger("Monitoring.Keyboard.KeyboardInterceptor");
        }
    }
}